/* Topbar  */ 

nav{
    
    justify-content: end;
    padding: .5rem 2rem;
    
    a b{
        padding: .5rem 1rem;
    }
}


/* En tete  */ 

header {
    h1 span{
        font-size: 1.2rem;
        line-height: 1;
        font-weight: normal;
        display: block;
    }
    img{
        border-radius: 50%;
    }
}

/* sections  */

section{
    margin-bottom: 2rem;

    img.head{
        max-width: 15rem;
    }

    h2{
        flex-basis: 100%;
        text-align: center;
    }
}


/* Section contact  */

#contact{
    .container{
        width: 100%;
        min-width: 15rem;
    }


    dl{
        display: grid;
        grid-template-columns: auto minmax(20rem, 30rem);

        a{
            color: currentColor;
        }
    }

    > a{
        margin-top: 2rem;
    }

    address{
        font-style: normal;
    }
}

@media (min-width: 45rem){
    #contact .container{
        display: flex;
        justify-content: center;
        gap: 2rem;  
    }
    #contact dl{
        grid-template-columns: auto minmax(20rem, 30rem);
    }
}


/* Modal */

body:has(#modal[data-open="true"]) main{
    filter: blur(3px);
    background: #f3f3f3;
}

#modal{

/*    background-color: #fefefe;
    padding: 20px;
    width: 80%;
    max-width: 500px;
    z-index: 5;
    border-radius: .5rem;
    box-shadow: 0 1px 4px #80808047;*/

    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);

    &[data-open="false"]{
        display: none;
    }

    &[data-open="true"]{
        display: inline-block;
    }

    .close-button {
        color: #aaa;
        float: right;
        font-size: 28px;
        font-weight: bold;
    }

    .close-button:hover,
    .close-button:focus {
        color: black;
        text-decoration: none;
        cursor: pointer;
    }
}
